API reference › Service setup › Specializations
Update an existing specialization
PATCH /v1/specializations/{specialization}
- Scope
settings_service_setup:edit- Roles
- admin, scheduler
Update an existing specialization by ID with optional service body, requirement, and notes.
Parameters
Path parameters
| Name | Type | Description |
|---|---|---|
specialization required | integer | ID of the specialization to update. Example |
Every call also sends Authorization and X-Tenant-ID; see Getting started.
Request body required
| Field | Type | Description |
|---|---|---|
name | string | Example |
serviceBody | object | |
serviceBody.id | integer or null | |
serviceBody.label required | string | Example |
requirement | string | One of: |
notes | string | Example |
Example
{
"name": "Example Updated",
"serviceBody": {
"id": null,
"label": "sdsad"
},
"requirement": "preferred",
"notes": "ABC"
}Example request
curl -X PATCH "https://api.fetchfido.ai/v1/specializations/{specialization}" \
-H "Authorization: Bearer $FIDO_API_KEY" \
-H "X-Tenant-ID: $FIDO_TENANT_ID" \
-H "Content-Type: application/json" \
-d '{"name":"Example Updated","serviceBody":{"id":null,"label":"sdsad"},"requirement":"preferred","notes":"ABC"}'Try it
Responses
200 Specialization updated successfully
Specialization updated successfully.
{
"success": true,
"message": "Specialization updated!",
"data": {
"id": 5,
"name": "Example Updated",
"isCustom": true
}
}Response fields (6)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
data | object | |
data.id | integer | Example |
data.name | string | Example |
data.isCustom | boolean | Example |
401 Not signed in
Missing, invalid or expired API key.
{
"success": false,
"message": "Invalid API key. Org and user tier keys must send an X-Tenant-ID header naming the organization the key was issued for.",
"errors": null,
"code": "API_KEY_MISSING"
}Response fields (4)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
errors | any or null | Null on this status. |
code | string | Machine-readable reason, for branching on in client code. One of: |
403 Not allowed
Scope, tenant, IP allow-list or RBAC check failed.
{
"success": false,
"message": "You don't have permission to access this endpoint. This API key is missing the 'settings_service_setup:edit' scope.",
"errors": null,
"code": ""
}Response fields (4)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
errors | any or null | Null on this status. |
code | string | Always empty on this status. Example |
404 Not found
Specialization not found.
{
"success": false,
"message": "Specialization with ID 5 not found."
}Response fields (2)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
422 Validation failed
Validation failed.
{
"success": false,
"message": "Unable to save. Please check the highlighted fields.",
"errors": {
"name": [
"The name field is required."
],
"serviceBody.label": [
"The service body label has already been taken."
]
}
}Response fields (3)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
errors | object |
429 Too many requests
Rate limit exceeded. See Retry-After.
{
"success": false,
"message": "You've exceeded this API key's rate limit of 120 requests per minute. Try again in 37 seconds.",
"errors": null,
"code": "RATE_LIMITED"
}Response fields (4)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |
errors | any or null | Null on this status. |
code | string | Machine-readable reason, for branching on in client code. One of: |
500 Server error
Server error.
{
"success": false,
"message": "Something went wrong!"
}Response fields (2)
| Field | Type | Description |
|---|---|---|
success | boolean | Example |
message | string | Example |